NSX-T Data Center REST API

List of SecurityProfileAttachments

Retrieves a paginated collection of all Security Profile Attachments within a specified project,
providing a comprehensive view of VPC-to-security-profile associations. Each attachment in the response
includes details about the target VPC, the assigned security profile, and relevant metadata details.
This API enables project administrators to understand current security posture assignments, and manage security
configuration consistency within the project. The response supports standard pagination parameters
and sorting capabilities for efficient data retrieval and analysis of security profile usage patterns.

Request:

Method:
GET
URI Path(s):
/policy/api/v1/orgs/{org-id}/projects/{project-id}/security-profile-attachments
Request Headers:
n/a
Query Parameters:
SecurityProfileAttachmentListRequestParameters+
Request Body:
n/a

Example Request:

GET https://<policy-mgr>/policy/api/v1/orgs/default/projects/Production_Prj/security-profile-attachments

Successful Response:

Response Code:
200 OK
Response Headers:
Content-type: application/json
Response Body:
SecurityProfileAttachmentListResult+

Example Response:

{ "results": [ { "attached_to": "/orgs/default/projects/Production_Prj/vpcs/vpc1", "security_profile": "/orgs/default/projects/Production_Prj/vpc-security-profiles/system-security-profile-2", "resource_type": "SecurityProfileAttachment", "id": "vpc1", "display_name": "vpc1", "path": "/orgs/default/projects/Production_Prj/security-profile-attachments/vpc1", "relative_path": "vpc1", "parent_path": "/orgs/default/projects/Production_Prj", "remote_path": "", "unique_id": "5449d7df-78c8-4d78-8449-f16445722797", "realization_id": "5449d7df-78c8-4d78-8449-f16445722797", "owner_id": "3ae63613-323b-4465-bf36-14274fd591e3", "marked_for_delete": false, "overridden": false, "_system_owned": false, "_protection": "NOT_PROTECTED", "_create_time": 1757929365242, "_create_user": "system", "_last_modified_time": 1757999739610, "_last_modified_user": "admin", "_revision": 1 }, { "attached_to": "/orgs/default/projects/Production_Prj/vpcs/vpc2", "security_profile": "/orgs/default/projects/Production_Prj/vpc-security-profiles/default", "resource_type": "SecurityProfileAttachment", "id": "vpc2", "display_name": "vpc2", "path": "/orgs/default/projects/Production_Prj/security-profile-attachments/vpc2", "relative_path": "vpc2", "parent_path": "/orgs/default/projects/Production_Prj", "remote_path": "", "unique_id": "45c4598b-63e2-46cf-a728-6d55144266dd", "realization_id": "45c4598b-63e2-46cf-a728-6d55144266dd", "owner_id": "3ae63613-323b-4465-bf36-14274fd591e3", "marked_for_delete": false, "overridden": false, "_system_owned": false, "_protection": "NOT_PROTECTED", "_create_time": 1757929488428, "_create_user": "system", "_last_modified_time": 1757929488428, "_last_modified_user": "system", "_revision": 0 } ], "result_count": 2, "sort_by": "display_name", "sort_ascending": true }

Required Permissions:

read

Feature:

policy_edge_fw

Additional Errors: